<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* base.html.twig */
class __TwigTemplate_0c938131b16d5997eb400bdf3a071c03ce7d309a4f4a8e95dee137b1eb3b5f8e extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
            'title' => [$this, 'block_title'],
            'stylesheets' => [$this, 'block_stylesheets'],
            'body' => [$this, 'block_body'],
            'javascripts' => [$this, 'block_javascripts'],
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e = $this->extensions["Symfony\\Bundle\\WebProfilerBundle\\Twig\\WebProfilerExtension"];
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e->enter($__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e_prof = new \Twig\Profiler\Profile($this->getTemplateName(), "template", "base.html.twig"));

        $__internal_319393461309892924ff6e74d6d6e64287df64b63545b994e100d4ab223aed02 = $this->extensions["Symfony\\Bridge\\Twig\\Extension\\ProfilerExtension"];
        $__internal_319393461309892924ff6e74d6d6e64287df64b63545b994e100d4ab223aed02->enter($__internal_319393461309892924ff6e74d6d6e64287df64b63545b994e100d4ab223aed02_prof = new \Twig\Profiler\Profile($this->getTemplateName(), "template", "base.html.twig"));

        // line 1
        echo "<!DOCTYPE html>
<html>
<head>
    <meta charset=\"UTF-8\">
    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">
    <title>";
        // line 6
        $this->displayBlock('title', $context, $blocks);
        echo "</title>

    ";
        // line 8
        $this->displayBlock('stylesheets', $context, $blocks);
        // line 14
        echo "
</head>


<body class=\"text-center\">

<div class=\"shadow-sm\">
    <nav class=\"navbar navbar-expand-lg navbar-light bg-light fixed-top\" style=\"opacity: 0.8\">

        <a class=\"navbar-brand\" href=\"";
        // line 23
        echo $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("home");
        echo "\">Školní Systém</a>
        <button class=\"navbar-toggler\" type=\"button\" data-toggle=\"collapse\"
                data-target=\"#navbarSupportedContent\" aria-controls=\"navbarSupportedContent\"
                aria-expanded=\"false\" aria-label=\"Toggle navigation\">
            <span class=\"navbar-toggler-icon\"></span>
        </button>

        <div class=\"collapse navbar-collapse\" id=\"navbarSupportedContent\">
            <ul class=\"navbar-nav mr-auto\">

                ";
        // line 33
        if ($this->extensions['Symfony\Bridge\Twig\Extension\SecurityExtension']->isGranted("ROLE_TEACHER")) {
            // line 34
            echo "
                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 36
            echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("absence.showUc", ["dateK" => twig_date_format_filter($this->env, "now", "d-m-Y"), "dateZ" => twig_date_format_filter($this->env, "now", "d-m-Y"), "ucitel" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, (isset($context["app"]) || array_key_exists("app", $context) ? $context["app"] : (function () { throw new RuntimeError('Variable "app" does not exist.', 36, $this->source); })()), "user", [], "any", false, false, false, 36), "ucitel", [], "any", false, false, false, 36), "id", [], "any", false, false, false, 36)]), "html", null, true);
            echo "\">Suplování</a>
                    </li>
                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 39
            echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("absence.index", ["date" => twig_date_format_filter($this->env, "now", "d-m-Y"), "id" => 1, "doba" => 1, "redirect" => 0]), "html", null, true);
            echo "\">Absence</a>
                    </li>

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 43
            echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("grades.index", ["pid" => 1, "tid" => 1]), "html", null, true);
            echo "\">Známky</a>
                    </li>
                    <li class=\"nav-item\">

                        ";
            // line 47
            if (0 === twig_compare(twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, (isset($context["app"]) || array_key_exists("app", $context) ? $context["app"] : (function () { throw new RuntimeError('Variable "app" does not exist.', 47, $this->source); })()), "user", [], "any", false, false, false, 47), "ucitel", [], "any", false, false, false, 47), "trida", [], "any", false, false, false, 47), "id", [], "any", false, false, false, 47), null)) {
                // line 48
                echo "
                            <a class=\"nav-link\" href=\"";
                // line 49
                echo $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("time_table.index", ["id" => 1]);
                echo "\">Rozvrhy</a>

                        ";
            } else {
                // line 52
                echo "
                            <a class=\"nav-link\" href=\"";
                // line 53
                echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("time_table.index", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, (isset($context["app"]) || array_key_exists("app", $context) ? $context["app"] : (function () { throw new RuntimeError('Variable "app" does not exist.', 53, $this->source); })()), "user", [], "any", false, false, false, 53), "ucitel", [], "any", false, false, false, 53), "trida", [], "any", false, false, false, 53), "id", [], "any", false, false, false, 53)]), "html", null, true);
                echo "\">Rozvrhy</a>

                        ";
            }
            // line 56
            echo "
                    </li>

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 60
            echo $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("rodic.index");
            echo "\">Rodiče</a>
                    </li>

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 64
            echo $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("zak.index");
            echo "\">Žáci</a>
                    </li>
                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 67
            echo $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("ucitele.index");
            echo "\">Učitelé</a>
                    </li>

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 71
            echo $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("zprava.index");
            echo "\">Zprávy</a>
                    </li>

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 75
            echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("ucitele.show", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, (isset($context["app"]) || array_key_exists("app", $context) ? $context["app"] : (function () { throw new RuntimeError('Variable "app" does not exist.', 75, $this->source); })()), "user", [], "any", false, false, false, 75), "ucitel", [], "any", false, false, false, 75), "id", [], "any", false, false, false, 75)]), "html", null, true);
            echo "\">Profil</a>
                    </li>

                ";
        }
        // line 79
        echo "
                ";
        // line 80
        if ($this->extensions['Symfony\Bridge\Twig\Extension\SecurityExtension']->isGranted("ROLE_STUDENT")) {
            // line 81
            echo "
                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 83
            echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("absence.show", ["zak" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, (isset($context["app"]) || array_key_exists("app", $context) ? $context["app"] : (function () { throw new RuntimeError('Variable "app" does not exist.', 83, $this->source); })()), "user", [], "any", false, false, false, 83), "zak", [], "any", false, false, false, 83), "id", [], "any", false, false, false, 83)]), "html", null, true);
            echo "\">Absence</a>
                    </li>
                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 86
            echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("grades.studentShow", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, (isset($context["app"]) || array_key_exists("app", $context) ? $context["app"] : (function () { throw new RuntimeError('Variable "app" does not exist.', 86, $this->source); })()), "user", [], "any", false, false, false, 86), "zak", [], "any", false, false, false, 86), "trida", [], "any", false, false, false, 86), "id", [], "any", false, false, false, 86)]), "html", null, true);
            echo "\">Známky</a>
                    </li>
                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 89
            echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("time_table.index", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, (isset($context["app"]) || array_key_exists("app", $context) ? $context["app"] : (function () { throw new RuntimeError('Variable "app" does not exist.', 89, $this->source); })()), "user", [], "any", false, false, false, 89), "zak", [], "any", false, false, false, 89), "trida", [], "any", false, false, false, 89), "id", [], "any", false, false, false, 89)]), "html", null, true);
            echo "\">Rozvrhy</a>
                    </li>
                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 92
            echo $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("ucitele.index");
            echo "\">Učitelé</a>
                    </li>

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 96
            echo $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("zprava.index");
            echo "\">Zprávy</a>
                    </li>

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 100
            echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("zak.show", ["id" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, (isset($context["app"]) || array_key_exists("app", $context) ? $context["app"] : (function () { throw new RuntimeError('Variable "app" does not exist.', 100, $this->source); })()), "user", [], "any", false, false, false, 100), "zak", [], "any", false, false, false, 100), "id", [], "any", false, false, false, 100)]), "html", null, true);
            echo "\">Profil</a>
                    </li>

                ";
        }
        // line 104
        echo "
                ";
        // line 105
        if ($this->extensions['Symfony\Bridge\Twig\Extension\SecurityExtension']->isGranted("ROLE_PARENT")) {
            // line 106
            echo "
                    ";
            // line 107
            $context['_parent'] = $context;
            $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, (isset($context["app"]) || array_key_exists("app", $context) ? $context["app"] : (function () { throw new RuntimeError('Variable "app" does not exist.', 107, $this->source); })()), "user", [], "any", false, false, false, 107), "rodic", [], "any", false, false, false, 107), "zak", [], "any", false, false, false, 107));
            foreach ($context['_seq'] as $context["_key"] => $context["zak"]) {
                // line 108
                echo "
                        <li class=\"nav-item\">
                            <a class=\"nav-link\" href=\"";
                // line 110
                echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("absence.show", ["zak" => twig_get_attribute($this->env, $this->source, $context["zak"], "id", [], "any", false, false, false, 110)]), "html", null, true);
                echo "\">Absence ";
                echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["zak"], "jmeno", [], "any", false, false, false, 110), "html", null, true);
                echo " ";
                echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["zak"], "prijmeni", [], "any", false, false, false, 110), "html", null, true);
                echo "</a>
                        </li>

                    ";
            }
            $_parent = $context['_parent'];
            unset($context['_seq'], $context['_iterated'], $context['_key'], $context['zak'], $context['_parent'], $context['loop']);
            $context = array_intersect_key($context, $_parent) + $_parent;
            // line 114
            echo "
                    ";
            // line 115
            $context['_parent'] = $context;
            $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, (isset($context["app"]) || array_key_exists("app", $context) ? $context["app"] : (function () { throw new RuntimeError('Variable "app" does not exist.', 115, $this->source); })()), "user", [], "any", false, false, false, 115), "rodic", [], "any", false, false, false, 115), "zak", [], "any", false, false, false, 115));
            foreach ($context['_seq'] as $context["_key"] => $context["zak"]) {
                // line 116
                echo "
                        <li class=\"nav-item\">
                            <a class=\"nav-link\" href=\"";
                // line 118
                echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("grades.studentShow", ["id" => twig_get_attribute($this->env, $this->source, $context["zak"], "id", [], "any", false, false, false, 118)]), "html", null, true);
                echo "\">Známky ";
                echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["zak"], "jmeno", [], "any", false, false, false, 118), "html", null, true);
                echo " ";
                echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["zak"], "prijmeni", [], "any", false, false, false, 118), "html", null, true);
                echo "</a>
                        </li>

                    ";
            }
            $_parent = $context['_parent'];
            unset($context['_seq'], $context['_iterated'], $context['_key'], $context['zak'], $context['_parent'], $context['loop']);
            $context = array_intersect_key($context, $_parent) + $_parent;
            // line 122
            echo "
                    ";
            // line 123
            $context['_parent'] = $context;
            $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, (isset($context["app"]) || array_key_exists("app", $context) ? $context["app"] : (function () { throw new RuntimeError('Variable "app" does not exist.', 123, $this->source); })()), "user", [], "any", false, false, false, 123), "rodic", [], "any", false, false, false, 123), "zak", [], "any", false, false, false, 123));
            foreach ($context['_seq'] as $context["_key"] => $context["zak"]) {
                // line 124
                echo "
                        <li class=\"nav-item\">
                            <a class=\"nav-link\" href=\"";
                // line 126
                echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("time_table.index", ["id" => twig_get_attribute($this->env, $this->source, $context["zak"], "id", [], "any", false, false, false, 126)]), "html", null, true);
                echo "\">Rozvrhy ";
                echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["zak"], "jmeno", [], "any", false, false, false, 126), "html", null, true);
                echo " ";
                echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["zak"], "prijmeni", [], "any", false, false, false, 126), "html", null, true);
                echo "</a>
                        </li>

                    ";
            }
            $_parent = $context['_parent'];
            unset($context['_seq'], $context['_iterated'], $context['_key'], $context['zak'], $context['_parent'], $context['loop']);
            $context = array_intersect_key($context, $_parent) + $_parent;
            // line 130
            echo "
                    ";
            // line 131
            $context['_parent'] = $context;
            $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, (isset($context["app"]) || array_key_exists("app", $context) ? $context["app"] : (function () { throw new RuntimeError('Variable "app" does not exist.', 131, $this->source); })()), "user", [], "any", false, false, false, 131), "rodic", [], "any", false, false, false, 131), "zak", [], "any", false, false, false, 131));
            foreach ($context['_seq'] as $context["_key"] => $context["zak"]) {
                // line 132
                echo "
                        <li class=\"nav-item\">
                            <a class=\"nav-link\" href=\"";
                // line 134
                echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("zak.show", ["id" => twig_get_attribute($this->env, $this->source, $context["zak"], "id", [], "any", false, false, false, 134)]), "html", null, true);
                echo "\">Profil ";
                echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["zak"], "jmeno", [], "any", false, false, false, 134), "html", null, true);
                echo " ";
                echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["zak"], "prijmeni", [], "any", false, false, false, 134), "html", null, true);
                echo "</a>
                        </li>

                    ";
            }
            $_parent = $context['_parent'];
            unset($context['_seq'], $context['_iterated'], $context['_key'], $context['zak'], $context['_parent'], $context['loop']);
            $context = array_intersect_key($context, $_parent) + $_parent;
            // line 138
            echo "
                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 140
            echo $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("ucitele.index");
            echo "\">Učitelé</a>
                    </li>

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 144
            echo $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("zprava.index");
            echo "\">Zprávy</a>
                    </li>

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 148
            echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("rodic.show", ["rodic" => twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, (isset($context["app"]) || array_key_exists("app", $context) ? $context["app"] : (function () { throw new RuntimeError('Variable "app" does not exist.', 148, $this->source); })()), "user", [], "any", false, false, false, 148), "rodic", [], "any", false, false, false, 148), "id", [], "any", false, false, false, 148)]), "html", null, true);
            echo "\">Profil </a>
                    </li>

                ";
        }
        // line 152
        echo "
                ";
        // line 153
        if ($this->extensions['Symfony\Bridge\Twig\Extension\SecurityExtension']->isGranted("ROLE_ADMIN")) {
            // line 154
            echo "
                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 156
            echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("absence.absenceUc", ["datum" => twig_date_format_filter($this->env, "now", "d-m-Y"), "doba" => 1]), "html", null, true);
            echo "\">Suplování</a>
                    </li>
                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 159
            echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("absence.index", ["date" => twig_date_format_filter($this->env, "now", "d-m-Y"), "id" => 1, "doba" => 1, "redirect" => 0]), "html", null, true);
            echo "\">Absence</a>
                    </li>
                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 162
            echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("grades.index", ["pid" => 1, "tid" => 1]), "html", null, true);
            echo "\">Známky</a>
                    </li>
                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 165
            echo $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("time_table.index", ["id" => 1]);
            echo "\">Rozvrhy</a>
                    </li>

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 169
            echo $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("rodic.index");
            echo "\">Rodiče</a>
                    </li>

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 173
            echo $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("zak.index");
            echo "\">Žáci</a>
                    </li>
                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 176
            echo $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("ucitele.index");
            echo "\">Učitelé</a>
                    </li>
                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 179
            echo $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("register");
            echo "\">Registrace</a>
                    </li>

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"";
            // line 183
            echo $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("zprava.index");
            echo "\">Zprávy</a>
                    </li>

                ";
        }
        // line 187
        echo "
                ";
        // line 188
        if ($this->extensions['Symfony\Bridge\Twig\Extension\SecurityExtension']->isGranted("IS_AUTHENTICATED_FULLY")) {
            // line 189
            echo "
                    <li class=\"nav-item float-right\">
                        <a class=\"nav-link\" href=\"";
            // line 191
            echo $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("app_logout");
            echo "\">Odhlásit</a>
                    </li>

                ";
        }
        // line 195
        echo "
            </ul>
        </div>
    </nav>
</div>


<table id=\"tbl_wrap\">
    <tbody>
    <tr>
        <td id=\"td_wrap\">

            <div class=\"d-flex justify-content-center\" style=\"padding-top: 0px\">
                <div class=\"shadow-lg\" style=\"border-radius: 4px;\">
                    <div class=\"card\" style=\"opacity:0.7; padding: 25px\">
                        <div class=\"card-body text-dark\">
                            <div class=\"container\">

                                ";
        // line 213
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, (isset($context["app"]) || array_key_exists("app", $context) ? $context["app"] : (function () { throw new RuntimeError('Variable "app" does not exist.', 213, $this->source); })()), "flashes", [0 => "success"], "method", false, false, false, 213));
        foreach ($context['_seq'] as $context["_key"] => $context["message"]) {
            // line 214
            echo "
                                    <div class=\"alert alert-success\">
                                        ";
            // line 216
            echo twig_escape_filter($this->env, $context["message"], "html", null, true);
            echo "
                                    </div>

                                ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['message'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 220
        echo "
                                ";
        // line 221
        $this->displayBlock('body', $context, $blocks);
        // line 222
        echo "
                            </div>
                            ";
        // line 224
        $this->displayBlock('javascripts', $context, $blocks);
        // line 230
        echo "                        </div>
                    </div>
                </div>
            </div>
        </td>
    </tr>
    </tbody>
</table>
</body>
</html>
";
        
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e->leave($__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e_prof);

        
        $__internal_319393461309892924ff6e74d6d6e64287df64b63545b994e100d4ab223aed02->leave($__internal_319393461309892924ff6e74d6d6e64287df64b63545b994e100d4ab223aed02_prof);

    }

    // line 6
    public function block_title($context, array $blocks = [])
    {
        $macros = $this->macros;
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e = $this->extensions["Symfony\\Bundle\\WebProfilerBundle\\Twig\\WebProfilerExtension"];
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e->enter($__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e_prof = new \Twig\Profiler\Profile($this->getTemplateName(), "block", "title"));

        $__internal_319393461309892924ff6e74d6d6e64287df64b63545b994e100d4ab223aed02 = $this->extensions["Symfony\\Bridge\\Twig\\Extension\\ProfilerExtension"];
        $__internal_319393461309892924ff6e74d6d6e64287df64b63545b994e100d4ab223aed02->enter($__internal_319393461309892924ff6e74d6d6e64287df64b63545b994e100d4ab223aed02_prof = new \Twig\Profiler\Profile($this->getTemplateName(), "block", "title"));

        echo "Školní Systém";
        
        $__internal_319393461309892924ff6e74d6d6e64287df64b63545b994e100d4ab223aed02->leave($__internal_319393461309892924ff6e74d6d6e64287df64b63545b994e100d4ab223aed02_prof);

        
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e->leave($__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e_prof);

    }

    // line 8
    public function block_stylesheets($context, array $blocks = [])
    {
        $macros = $this->macros;
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e = $this->extensions["Symfony\\Bundle\\WebProfilerBundle\\Twig\\WebProfilerExtension"];
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e->enter($__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e_prof = new \Twig\Profiler\Profile($this->getTemplateName(), "block", "stylesheets"));

        $__internal_319393461309892924ff6e74d6d6e64287df64b63545b994e100d4ab223aed02 = $this->extensions["Symfony\\Bridge\\Twig\\Extension\\ProfilerExtension"];
        $__internal_319393461309892924ff6e74d6d6e64287df64b63545b994e100d4ab223aed02->enter($__internal_319393461309892924ff6e74d6d6e64287df64b63545b994e100d4ab223aed02_prof = new \Twig\Profiler\Profile($this->getTemplateName(), "block", "stylesheets"));

        // line 9
        echo "
        <link rel=\"stylesheet\" href=\"";
        // line 10
        echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\AssetExtension']->getAssetUrl("css/bootstrap.min.css"), "html", null, true);
        echo "\" type=\"text/css\"/>
        <link rel=\"stylesheet\" href=\"";
        // line 11
        echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\AssetExtension']->getAssetUrl("css/style.css"), "html", null, true);
        echo "\" type=\"text/css\"/>

    ";
        
        $__internal_319393461309892924ff6e74d6d6e64287df64b63545b994e100d4ab223aed02->leave($__internal_319393461309892924ff6e74d6d6e64287df64b63545b994e100d4ab223aed02_prof);

        
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e->leave($__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e_prof);

    }

    // line 221
    public function block_body($context, array $blocks = [])
    {
        $macros = $this->macros;
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e = $this->extensions["Symfony\\Bundle\\WebProfilerBundle\\Twig\\WebProfilerExtension"];
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e->enter($__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e_prof = new \Twig\Profiler\Profile($this->getTemplateName(), "block", "body"));

        $__internal_319393461309892924ff6e74d6d6e64287df64b63545b994e100d4ab223aed02 = $this->extensions["Symfony\\Bridge\\Twig\\Extension\\ProfilerExtension"];
        $__internal_319393461309892924ff6e74d6d6e64287df64b63545b994e100d4ab223aed02->enter($__internal_319393461309892924ff6e74d6d6e64287df64b63545b994e100d4ab223aed02_prof = new \Twig\Profiler\Profile($this->getTemplateName(), "block", "body"));

        
        $__internal_319393461309892924ff6e74d6d6e64287df64b63545b994e100d4ab223aed02->leave($__internal_319393461309892924ff6e74d6d6e64287df64b63545b994e100d4ab223aed02_prof);

        
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e->leave($__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e_prof);

    }

    // line 224
    public function block_javascripts($context, array $blocks = [])
    {
        $macros = $this->macros;
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e = $this->extensions["Symfony\\Bundle\\WebProfilerBundle\\Twig\\WebProfilerExtension"];
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e->enter($__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e_prof = new \Twig\Profiler\Profile($this->getTemplateName(), "block", "javascripts"));

        $__internal_319393461309892924ff6e74d6d6e64287df64b63545b994e100d4ab223aed02 = $this->extensions["Symfony\\Bridge\\Twig\\Extension\\ProfilerExtension"];
        $__internal_319393461309892924ff6e74d6d6e64287df64b63545b994e100d4ab223aed02->enter($__internal_319393461309892924ff6e74d6d6e64287df64b63545b994e100d4ab223aed02_prof = new \Twig\Profiler\Profile($this->getTemplateName(), "block", "javascripts"));

        // line 225
        echo "
                                <script src=\"";
        // line 226
        echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\AssetExtension']->getAssetUrl("js/bootstrap.min.js"), "html", null, true);
        echo "\"></script>
                                <script src=\"";
        // line 227
        echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\AssetExtension']->getAssetUrl("js/JS.js"), "html", null, true);
        echo "\"></script>

                            ";
        
        $__internal_319393461309892924ff6e74d6d6e64287df64b63545b994e100d4ab223aed02->leave($__internal_319393461309892924ff6e74d6d6e64287df64b63545b994e100d4ab223aed02_prof);

        
        $__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e->leave($__internal_085b0142806202599c7fe3b329164a92397d8978207a37e79d70b8c52599e33e_prof);

    }

    public function getTemplateName()
    {
        return "base.html.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  585 => 227,  581 => 226,  578 => 225,  568 => 224,  550 => 221,  537 => 11,  533 => 10,  530 => 9,  520 => 8,  501 => 6,  481 => 230,  479 => 224,  475 => 222,  473 => 221,  470 => 220,  460 => 216,  456 => 214,  452 => 213,  432 => 195,  425 => 191,  421 => 189,  419 => 188,  416 => 187,  409 => 183,  402 => 179,  396 => 176,  390 => 173,  383 => 169,  376 => 165,  370 => 162,  364 => 159,  358 => 156,  354 => 154,  352 => 153,  349 => 152,  342 => 148,  335 => 144,  328 => 140,  324 => 138,  310 => 134,  306 => 132,  302 => 131,  299 => 130,  285 => 126,  281 => 124,  277 => 123,  274 => 122,  260 => 118,  256 => 116,  252 => 115,  249 => 114,  235 => 110,  231 => 108,  227 => 107,  224 => 106,  222 => 105,  219 => 104,  212 => 100,  205 => 96,  198 => 92,  192 => 89,  186 => 86,  180 => 83,  176 => 81,  174 => 80,  171 => 79,  164 => 75,  157 => 71,  150 => 67,  144 => 64,  137 => 60,  131 => 56,  125 => 53,  122 => 52,  116 => 49,  113 => 48,  111 => 47,  104 => 43,  97 => 39,  91 => 36,  87 => 34,  85 => 33,  72 => 23,  61 => 14,  59 => 8,  54 => 6,  47 => 1,);
    }

    public function getSourceContext()
    {
        return new Source("<!DOCTYPE html>
<html>
<head>
    <meta charset=\"UTF-8\">
    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">
    <title>{% block title %}Školní Systém{% endblock %}</title>

    {% block stylesheets %}

        <link rel=\"stylesheet\" href=\"{{ asset('css/bootstrap.min.css') }}\" type=\"text/css\"/>
        <link rel=\"stylesheet\" href=\"{{ asset('css/style.css') }}\" type=\"text/css\"/>

    {% endblock %}

</head>


<body class=\"text-center\">

<div class=\"shadow-sm\">
    <nav class=\"navbar navbar-expand-lg navbar-light bg-light fixed-top\" style=\"opacity: 0.8\">

        <a class=\"navbar-brand\" href=\"{{ path('home') }}\">Školní Systém</a>
        <button class=\"navbar-toggler\" type=\"button\" data-toggle=\"collapse\"
                data-target=\"#navbarSupportedContent\" aria-controls=\"navbarSupportedContent\"
                aria-expanded=\"false\" aria-label=\"Toggle navigation\">
            <span class=\"navbar-toggler-icon\"></span>
        </button>

        <div class=\"collapse navbar-collapse\" id=\"navbarSupportedContent\">
            <ul class=\"navbar-nav mr-auto\">

                {% if is_granted('ROLE_TEACHER') %}

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('absence.showUc', {dateK:  \"now\"|date(\"d-m-Y\"), dateZ: \"now\"|date(\"d-m-Y\"), ucitel: app.user.ucitel.id}) }}\">Suplování</a>
                    </li>
                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('absence.index', {date:  \"now\"|date(\"d-m-Y\") ,id: 1, doba: 1, redirect: 0}) }}\">Absence</a>
                    </li>

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('grades.index', {pid: 1, tid: 1}) }}\">Známky</a>
                    </li>
                    <li class=\"nav-item\">

                        {% if app.user.ucitel.trida.id == null %}

                            <a class=\"nav-link\" href=\"{{ path('time_table.index', {id: 1}) }}\">Rozvrhy</a>

                        {% else %}

                            <a class=\"nav-link\" href=\"{{ path('time_table.index', {id: app.user.ucitel.trida.id}) }}\">Rozvrhy</a>

                        {% endif %}

                    </li>

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('rodic.index') }}\">Rodiče</a>
                    </li>

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('zak.index') }}\">Žáci</a>
                    </li>
                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('ucitele.index') }}\">Učitelé</a>
                    </li>

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('zprava.index') }}\">Zprávy</a>
                    </li>

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('ucitele.show', {id: app.user.ucitel.id}) }}\">Profil</a>
                    </li>

                {% endif %}

                {% if is_granted('ROLE_STUDENT') %}

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('absence.show', {zak: app.user.zak.id}) }}\">Absence</a>
                    </li>
                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('grades.studentShow', {id: app.user.zak.trida.id}) }}\">Známky</a>
                    </li>
                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('time_table.index', {id: app.user.zak.trida.id}) }}\">Rozvrhy</a>
                    </li>
                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('ucitele.index') }}\">Učitelé</a>
                    </li>

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('zprava.index') }}\">Zprávy</a>
                    </li>

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('zak.show', {id: app.user.zak.id}) }}\">Profil</a>
                    </li>

                {% endif %}

                {% if is_granted('ROLE_PARENT') %}

                    {% for zak  in app.user.rodic.zak %}

                        <li class=\"nav-item\">
                            <a class=\"nav-link\" href=\"{{ path('absence.show', {zak: zak.id}) }}\">Absence {{ zak.jmeno }} {{ zak.prijmeni }}</a>
                        </li>

                    {% endfor %}

                    {% for zak  in app.user.rodic.zak %}

                        <li class=\"nav-item\">
                            <a class=\"nav-link\" href=\"{{ path('grades.studentShow', {id: zak.id}) }}\">Známky {{ zak.jmeno }} {{ zak.prijmeni }}</a>
                        </li>

                    {% endfor %}

                    {% for zak  in app.user.rodic.zak %}

                        <li class=\"nav-item\">
                            <a class=\"nav-link\" href=\"{{ path('time_table.index', {id: zak.id}) }}\">Rozvrhy {{ zak.jmeno }} {{ zak.prijmeni }}</a>
                        </li>

                    {% endfor %}

                    {% for zak  in app.user.rodic.zak %}

                        <li class=\"nav-item\">
                            <a class=\"nav-link\" href=\"{{ path('zak.show', {id: zak.id}) }}\">Profil {{ zak.jmeno }} {{ zak.prijmeni }}</a>
                        </li>

                    {% endfor %}

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('ucitele.index') }}\">Učitelé</a>
                    </li>

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('zprava.index') }}\">Zprávy</a>
                    </li>

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('rodic.show', {rodic: app.user.rodic.id}) }}\">Profil </a>
                    </li>

                {% endif %}

                {% if is_granted('ROLE_ADMIN') %}

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('absence.absenceUc', {datum:  \"now\"|date(\"d-m-Y\"), doba: 1}) }}\">Suplování</a>
                    </li>
                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('absence.index', {date:  \"now\"|date(\"d-m-Y\") ,id: 1, doba: 1, redirect: 0}) }}\">Absence</a>
                    </li>
                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('grades.index', {pid: 1, tid: 1}) }}\">Známky</a>
                    </li>
                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('time_table.index', {id: 1}) }}\">Rozvrhy</a>
                    </li>

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('rodic.index') }}\">Rodiče</a>
                    </li>

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('zak.index') }}\">Žáci</a>
                    </li>
                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('ucitele.index') }}\">Učitelé</a>
                    </li>
                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('register') }}\">Registrace</a>
                    </li>

                    <li class=\"nav-item\">
                        <a class=\"nav-link\" href=\"{{ path('zprava.index') }}\">Zprávy</a>
                    </li>

                {% endif %}

                {% if is_granted('IS_AUTHENTICATED_FULLY') %}

                    <li class=\"nav-item float-right\">
                        <a class=\"nav-link\" href=\"{{ path('app_logout') }}\">Odhlásit</a>
                    </li>

                {% endif %}

            </ul>
        </div>
    </nav>
</div>


<table id=\"tbl_wrap\">
    <tbody>
    <tr>
        <td id=\"td_wrap\">

            <div class=\"d-flex justify-content-center\" style=\"padding-top: 0px\">
                <div class=\"shadow-lg\" style=\"border-radius: 4px;\">
                    <div class=\"card\" style=\"opacity:0.7; padding: 25px\">
                        <div class=\"card-body text-dark\">
                            <div class=\"container\">

                                {% for message in app.flashes('success') %}

                                    <div class=\"alert alert-success\">
                                        {{ message }}
                                    </div>

                                {% endfor %}

                                {% block body %}{% endblock %}

                            </div>
                            {% block javascripts %}

                                <script src=\"{{ asset('js/bootstrap.min.js') }}\"></script>
                                <script src=\"{{ asset('js/JS.js') }}\"></script>

                            {% endblock %}
                        </div>
                    </div>
                </div>
            </div>
        </td>
    </tr>
    </tbody>
</table>
</body>
</html>
", "base.html.twig", "C:\\Users\\JanVe\\Desktop\\BakalarskaPrace\\www\\Thesis\\templates\\base.html.twig");
    }
}
